
From: "Randy.Dunlap" <rddunlap@osdl.org>

Fix gcc printk arg type warnings:
drivers/usb/media/pwc/pwc-if.c:325: warning: int format, different type arg (arg 2)
drivers/usb/media/pwc/pwc-if.c:1182: warning: int format, different type arg (arg 4)

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/usb/media/pwc/pwc-if.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/usb/media/pwc/pwc-if.c~pwc-fix-printk-arg-types drivers/usb/media/pwc/pwc-if.c
--- 25/drivers/usb/media/pwc/pwc-if.c~pwc-fix-printk-arg-types	2005-03-14 18:34:56.000000000 -0800
+++ 25-akpm/drivers/usb/media/pwc/pwc-if.c	2005-03-14 18:34:56.000000000 -0800
@@ -322,7 +322,7 @@ static int pwc_allocate_buffers(struct p
 	  case 730:
 	  case 740:
 	  case 750:
-	    Trace(TRACE_MEMORY,"private_data(%d)\n",sizeof(struct pwc_dec23_private));
+	    Trace(TRACE_MEMORY,"private_data(%Zd)\n",sizeof(struct pwc_dec23_private));
 	    kbuf = kmalloc(sizeof(struct pwc_dec23_private), GFP_KERNEL);	/* Timon & Kiara */
 	    break;
 	  case 645:
@@ -1179,7 +1179,7 @@ static ssize_t pwc_video_read(struct fil
 	DECLARE_WAITQUEUE(wait, current);
         int bytes_to_read;
 
-	Trace(TRACE_READ, "video_read(0x%p, %p, %d) called.\n", vdev, buf, count);
+	Trace(TRACE_READ, "video_read(0x%p, %p, %Zd) called.\n", vdev, buf, count);
 	if (vdev == NULL)
 		return -EFAULT;
 	pdev = vdev->priv;
_
